Bug 183072 - [PATCH] Update Port: graphics/py-pyproj - 1.8.8 -> 1.9.3
Summary: [PATCH] Update Port: graphics/py-pyproj - 1.8.8 -> 1.9.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-17 22:30 UTC by Rick van der Zwet
Modified: 2013-11-06 13:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.24 KB, patch)
2013-10-17 22:30 UTC, Rick van der Zwet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rick van der Zwet 2013-10-17 22:30:00 UTC
1.9.3 (svn revision 327)
 * Geod now uses C code adapted from geographiclib now included in proj4 source,
   instead of pure python code directly from geographiclib.
 * make radians=True work with Geod.npts (issue 47).
 * allow PROJ_DIR env var to control location of proj data (issue 40).
1.9.2 (svn revision 301)
 * updated proj4 src to 4.8.0 - includes two new map projections (natearth and
   isea).
1.9.1 (svn revision 285)
 * restore compatibility with python 2.4/2.5, which was broken by the addition
   of the geographiclib geodesic module (issue 36).
1.9.0 (svn revision 282)
 * use pure python geographiclib for geodesic computation codes instead of
 proj4.
 * don't use global variable pj_errno for return codes, use pj_ctx_get_errno
   instead.
 * use new projCtx structure for thread safety in proj lib.
 * update C source and data from proj4 svn (r2140).
 * add pj_list and pj_ellps module level variables (a dict mapping short
   names to longer descriptions, e.g. 
   pyproj.pj_list['aea'] = 'Albers Equal Area').
1.8.9 (svn revision 222)
 * Python 3 now supported.
 * allow 'EPSG' init (as well as 'epsg'). This only worked on case-insensitive
   filesystems previously. Fixes issue 6.
 * added inverse to Hammer projection.
 * updated src/pj_mutex.c from proj4 svn to fix a threading issue on windows
   (issue 25). Windows binary installers updated (version 1.8.8-1), courtesy
   Christoph Gohlke.
 * if inputs are NaNs, return huge number (1.e30).


README.html is no longer patched

Fix: Apply patch
	

--- graphics+py-pyproj.patch begins here ---
Comment 1 Edwin Groothuis freebsd_committer 2013-10-17 22:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-10-17 22:30:09 UTC
Maintainer of graphics/py-pyproj,

Please note that PR ports/183072 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183072

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-10-17 22:30:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2013-10-31 09:02:24 UTC
State Changed
From-To: feedback->open

Fix synopsis, maintainer timeout (2 weeks)
Comment 5 William Grzybowski freebsd_committer 2013-11-06 13:43:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-11-06 13:43:20 UTC
Author: wg
Date: Wed Nov  6 13:43:12 2013
New Revision: 332992
URL: http://svnweb.freebsd.org/changeset/ports/332992

Log:
  graphics/py-pyproj: update to 1.9.3
  
  - Update to 1.9.3 [1]
  - Abbreviate site to GOOGLE_CODE
  - Use python auto plist
  - Add DOCS and EXAMPLES options
  - Allow staging
  
  PR:		ports/183072
  Submitted by:	Rick van der Zwet <info rickvanderzwet.nl>
  Approved by:	maintainer (timeout)

Deleted:
  head/graphics/py-pyproj/pkg-plist
Modified:
  head/graphics/py-pyproj/Makefile
  head/graphics/py-pyproj/distinfo

Modified: head/graphics/py-pyproj/Makefile
==============================================================================
--- head/graphics/py-pyproj/Makefile	Wed Nov  6 13:34:58 2013	(r332991)
+++ head/graphics/py-pyproj/Makefile	Wed Nov  6 13:43:12 2013	(r332992)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	pyproj
-PORTVERSION=	1.8.8
+PORTVERSION=	1.9.3
 CATEGORIES=	graphics python geography
-MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
+MASTER_SITES=	GOOGLE_CODE
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	fmysh@iijmio-mail.jp
@@ -13,25 +13,18 @@ COMMENT=	Pyrex wrapper to provide python
 WRKSRC=		${WRKDIR}/${DISTNAME:C/[a-z]$//}
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-PORTDOCS=	Changelog README README.html LICENSE_proj4
+PORTDOCS=	Changelog README LICENSE_proj4
 PORTEXAMPLES=	datum_shift.py geodtest.py sample.out \
 		test.py test2.py test_transform.py
 
-NO_STAGE=	yes
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
 post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-.for f in ${PORTDOCS}
-	${INSTALL_MAN} ${WRKSRC}/$f ${DOCSDIR}
-.endfor
-.endif
-
-.if !defined(NOPORTEXAMPLES)
-	${MKDIR} ${EXAMPLESDIR}
-.for f in ${PORTEXAMPLES}
-	${INSTALL_DATA} ${WRKSRC}/test/$f ${EXAMPLESDIR}
-.endfor
-.endif
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_MAN} ${PORTDOCS:S,^,${WRKSRC}/,} ${STAGEDIR}${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	${INSTALL_DATA} ${PORTEXAMPLES:S,^,${WRKSRC}/test/,} ${STAGEDIR}${EXAMPLESDIR}
 
 .include <bsd.port.mk>

Modified: head/graphics/py-pyproj/distinfo
==============================================================================
--- head/graphics/py-pyproj/distinfo	Wed Nov  6 13:34:58 2013	(r332991)
+++ head/graphics/py-pyproj/distinfo	Wed Nov  6 13:43:12 2013	(r332992)
@@ -1,2 +1,2 @@
-SHA256 (pyproj-1.8.8.tar.gz) = 0ae91d39cc437915155dc116040119c0b24011053bdaee2524699c3ae8d053ae
-SIZE (pyproj-1.8.8.tar.gz) = 2592890
+SHA256 (pyproj-1.9.3.tar.gz) = 912ed86c5e407f091d0f3d076594af4fb569e27c68199b7d71651edd522aaa0c
+SIZE (pyproj-1.9.3.tar.gz) = 2687498
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"